<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>TimeLine</title>
	<link rel="stylesheet" href="style.css">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/Swiper/3.4.2/css/swiper.min.css">
	<script src="https://code.jquery.com/jquery-3.4.1.js"></script>
</head>
<body>
	<div class="container">
		<div class="timeline">
			<div class="swiperContainer">
                <div class="swiperWrapper">
                    <div class="swiperSlider" style="background-image: url(assets/n1.jpg)" date-year="2014">
                        <div class="swiperSliderContent">
                            <span class="timelineYear">2014</span>
                            <h4 class="timelineTitle">Timeline</h4>
                            <p class="timelineText">this is the discription
                            </p>
                        </div>
                    </div>
                    <div class="swiperSlider" style="background-image: url(assets/n2.jpg)" date-year="2014">
                        <div class="swiperSliderContent">
                            <span class="timelineYear">2015</span>
                            <h4 class="timelineTitle">Timeline</h4>
                            <p class="timelineText">this is the discription
                            </p>
                        </div>
                    </div>
                    <div class="swiperSlider" style="background-image: url(assets/n3.jpg)" date-year="2014">
                        <div class="swiperSliderContent">
                            <span class="timelineYear">2016</span>
                            <h4 class="timelineTitle">Timeline</h4>
                            <p class="timelineText">this is the discription
                            </p>
                        </div>
                    </div>
                    <div class="swiperSlider" style="background-image: url(assets/n4.jpg)" date-year="2017">
                        <div class="swiperSliderContent">
                            <span class="timelineYear">2017</span>
                            <h4 class="timelineTitle">Timeline</h4>
                            <p class="timelineText">this is the discription
                            </p>
                        </div>
                    </div>
                    <div class="swiperSlider" style="background-image: url(assets/n5.jpg)" date-year="2018">
                        <div class="swiperSliderContent">
                            <span class="timelineYear">2018</span>
                            <h4 class="timelineTitle">Timeline</h4>
                            <p class="timelineText">this is the discription
                            </p>
                        </div>
                    </div>
                     <div class="swiperSlider" style="background-image: url(assets/n6.jpg)" date-year="2019">
                        <div class="swiperSliderContent">
                            <span class="timelineYear">2019</span>
                            <h4 class="timelineTitle">Timeline</h4>
                            <p class="timelineText">this is the discription
                            </p>
                        </div>
                    </div>
                     <div class="swiperSlider" style="background-image: url(assets/n7.jpg)" date-year="2020">
                        <div class="swiperSliderContent">
                            <span class="timelineYear">2020</span>
                            <h4 class="timelineTitle">Timeline</h4>
                            <p class="timelineText">this is the discription
                            </p>
                        </div>
                    </div>
                     <div class="swiperSlider" style="background-image: url(assets/n8.jpg)" date-year="2021">
                        <div class="swiperSliderContent">
                            <span class="timelineYear">2021</span>
                            <h4 class="timelineTitle">Timeline</h4>
                            <p class="timelineText">this is the discription
                            </p>
                        </div>
                    </div>
                     <div class="swiperSlider" style="background-image: url(assets/n9.jpg)" date-year="2022">
                        <div class="swiperSliderContent">
                            <span class="timelineYear">2022</span>
                            <h4 class="timelineTitle">Timeline</h4>
                            <p class="timelineText">this is the discription
                            </p>
                        </div>
                    </div>
                     <div class="swiperSlider" style="background-image: url(assets/n10.jpg)" date-year="2023">
                        <div class="swiperSliderContent">
                            <span class="timelineYear">2023</span>
                            <h4 class="timelineTitle">Timeline</h4>
                            <p class="timelineText">this is the discription
                            </p>
                        </div>
                    </div>
                    
                    
                    
                    
                    <div class="swiper-button-prev"></div>
                    <div class="swiper-button-next"></div>
                    <div class="swiper-pagination"></div>
                    
                
                
                
                
                
                
                
                </div>
			</div>
		</div>
	</div>
	
	<script src='https://cdnjs.cloudflare.com/ajax/libs/Swiper/3.4.2/js/swiper.min.js'></script>
	
	
	<script>
        
        $(function(){
            var timelineSwiper = new Swiper ('.timeline .swiperContainer',{
                direction: 'vertical',
                loop:false,
                speed:1599,
                pagination:'.swiper-pagination',
                paginationBulletRender: function(swiper, index ,className) {
                    var year = Document.querySelectorAll('.swiperSlider')[index].getAttribute('data-year');
                    return '<span class="' + className + '">' + year + 
                    '</span>';
                },
                paginationClickable:true,
                nextButton:'.swiper-button-next',
                prevButton:'.swiper-button-prev',
                breakpoints:{
                    778: {
                        direction:'horizontal',
                    }
                }
            });
            
        });
    
    
    </script>
	 
</body>
</html>